# Bryan Schumaker (5 / 15 / 2011)

from BaseHTTPServer import HTTPServer
import threading

import request

server = None

def setup_server():
	global server
	server = HTTPServer(('', 4242), request.Handler)
	server.serve_forever()
threading.Thread(target=setup_server).start()

def shutdown():
	if server != None:
		server.shutdown()
